/**
 * EntityClassLivingSubject2.java
 *
 * File generated from the medication2::EntityClassLivingSubject2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassLivingSubject2.
 *
 * 
 */

@XmlType(name = "EntityClassLivingSubject")
@XmlEnum
@XmlRootElement(name = "EntityClassLivingSubject2")
public enum EntityClassLivingSubject2 {
	@XmlEnumValue("LIV")
	LIV("LIV"),
	@XmlEnumValue("PSN")
	PSN("PSN"),
	@XmlEnumValue("NLIV")
	NLIV("NLIV"),
	@XmlEnumValue("ANM")
	ANM("ANM"),
	@XmlEnumValue("MIC")
	MIC("MIC"),
	@XmlEnumValue("PLNT")
	PLNT("PLNT");
	
	private final String value;

    EntityClassLivingSubject2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityClassLivingSubject2 fromValue(String v) {
        for (EntityClassLivingSubject2 c: EntityClassLivingSubject2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
